> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xeol.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Entities

> Get a list of all entities.

### Body

<ParamField query="type" type="string">
  The type of entity to return. Can be one of `software`, `package`, `os`, `device`, `service`. If empty,
  entities of all types will be returned.
</ParamField>

<ParamField query="size" type="string" default="50">
  The number of entities to return per page.
</ParamField>

<ParamField query="page" type="string" default="1">
  The page number to return.
</ParamField>

### Response

<ResponseField name="items" type="object[]">
  <Expandable title="item">
    <ResponseField name="name" type="string">
      The name of the item
    </ResponseField>

    <ResponseField name="type" type="string">
      The type of the item
    </ResponseField>

    <ResponseField name="lts" type="boolean">
      Long-term support status of the item
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="page" type="integer">
  The current page number
</ResponseField>

<ResponseField name="pages" type="integer">
  The total number of pages
</ResponseField>

<ResponseField name="size" type="integer">
  The number of items per page
</ResponseField>

<RequestExample>
  ```bash curl theme={null}
  curl --location --request GET 'https://edb-test.xeol.io/v1/entities?type=package&size=1'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "name": "Rim.Client",
        "type": "package",
        "lts": false
      }
    ],
    "page": 1,
    "pages": 38903,
    "size": 1
  }
  ```

  ```json 400 theme={null}
  {
    "message": "Invalid entity type. Valid types are: [service device software package os]"
  }
  ```
</ResponseExample>
